VERSION 5.00
Object = "{1F9F88DD-7DE9-11D2-B498-00E02910280E}#13.0#0"; "Jpdesgn5.ocx"
Begin VB.Form frmDesign 
   Caption         =   "Chisel Software Table Design Control Demonstration"
   ClientHeight    =   2670
   ClientLeft      =   2250
   ClientTop       =   2685
   ClientWidth     =   5730
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   2670
   ScaleWidth      =   5730
   Begin Design5.Design Design1 
      Left            =   270
      Top             =   2160
      _ExtentX        =   794
      _ExtentY        =   794
   End
   Begin VB.TextBox txtDatabase 
      Height          =   285
      Left            =   1050
      TabIndex        =   2
      Top             =   870
      Width           =   4515
   End
   Begin VB.ComboBox cboTable 
      Height          =   315
      Left            =   2130
      TabIndex        =   5
      Text            =   "Combo1"
      Top             =   1635
      Width           =   3435
   End
   Begin VB.OptionButton optNewTable 
      Caption         =   "Create New Table"
      Height          =   195
      Left            =   180
      TabIndex        =   3
      Top             =   1290
      Width           =   2025
   End
   Begin VB.OptionButton optModifyTable 
      Caption         =   "Modify Existing Table:"
      Height          =   195
      Left            =   180
      TabIndex        =   4
      Top             =   1680
      Value           =   -1  'True
      Width           =   2025
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4410
      TabIndex        =   7
      Top             =   2160
      Width           =   1125
   End
   Begin VB.TextBox txtDescription 
      Appearance      =   0  'Flat
      BackColor       =   &H80000000&
      BorderStyle     =   0  'None
      Height          =   705
      Left            =   210
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   0
      TabStop         =   0   'False
      Text            =   "Jpdesgn.frx":0000
      Top             =   90
      Width           =   5415
   End
   Begin VB.CommandButton cmdTryIt 
      Caption         =   "Table Design"
      Default         =   -1  'True
      Height          =   375
      Left            =   3180
      TabIndex        =   6
      Top             =   2160
      Width           =   1125
   End
   Begin VB.Label lblDatabase 
      Caption         =   "Database:"
      Height          =   225
      Left            =   210
      TabIndex        =   1
      Top             =   900
      Width           =   1005
   End
End
Attribute VB_Name = "frmDesign"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
  Unload Me
End Sub

Private Sub cmdTryIt_Click()
  Design1.DatabaseName = txtDatabase
  Design1.Table = cboTable.Text
  Design1.NewTable = optNewTable.Value
  Design1.Show
End Sub

Private Sub Form_Load()
  Dim db As Database
  Dim td As TableDef
  
  txtDatabase = App.Path + "\Biblio.mdb"
    
  Set db = OpenDatabase(txtDatabase)
  For Each td In db.TableDefs
   'ignore System and Attached tables
    If (td.Attributes And dbSystemObject) = 0 And (td.Attributes And dbAttachedTable) = 0 Then
      cboTable.AddItem td.Name
    End If
  Next
  If cboTable.ListCount > 0 Then cboTable.ListIndex = 0
End Sub
